aboutsummaryrefslogtreecommitdiffstats
path: root/crates/atuin-nucleo/matcher/generate_case_fold_table.sh
diff options
context:
space:
mode:
authorEllie Huxtable <ellie@elliehuxtable.com>2026-03-16 15:22:49 -0700
committerEllie Huxtable <ellie@elliehuxtable.com>2026-03-16 15:22:49 -0700
commit280499651c8308555e287dea79aa6569a95d99f5 (patch)
tree355648de82f0134ad6a62fb9f361279c0a8485b5 /crates/atuin-nucleo/matcher/generate_case_fold_table.sh
parentspecify version in all daemon atuin crates (diff)
parentSquashed 'crates/atuin-nucleo/' content from commit 4253de9f (diff)
downloadatuin-280499651c8308555e287dea79aa6569a95d99f5.zip
bring in base nucleo
Diffstat (limited to 'crates/atuin-nucleo/matcher/generate_case_fold_table.sh')
-rwxr-xr-xcrates/atuin-nucleo/matcher/generate_case_fold_table.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/crates/atuin-nucleo/matcher/generate_case_fold_table.sh b/crates/atuin-nucleo/matcher/generate_case_fold_table.sh
new file mode 100755
index 00000000..32a26697
--- /dev/null
+++ b/crates/atuin-nucleo/matcher/generate_case_fold_table.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+set -e
+
+dir=$(pwd)
+mkdir /tmp/ucd-15.0.0
+cd /tmp/ucd-15.0.0
+curl -LO https://www.unicode.org/Public/zipped/15.0.0/UCD.zip
+unzip UCD.zip
+
+cd "${dir}"
+cargo install ucd-generate
+ucd-generate case-folding-simple /tmp/ucd-15.0.0 --chars > src/chars/case_fold.rs
+rm -rf /tmp/ucd-15.0.0